Bug 694897 - Icons missing in desktop menu
Icons missing in desktop menu
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: garcon (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
AcceptedNTH
: Reopened
Depends On:
Blocks: F15Blocker-xfce
  Show dependency treegraph
 
Reported: 2011-04-08 15:22 EDT by Christoph Wickert
Modified: 2011-11-07 03:58 EST (History)
6 users (show)

See Also:
Fixed In Version: garcon-0.1.9-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 748181 (view as bug list)
Environment:
Last Closed: 2011-11-07 03:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2011-04-08 15:22:47 EDT
Description of problem:
There are two icons missing in the 'Applications' menu of xfdesktop: 'Preferences' and 'Development'. However they are available in the menu of xfce4-panel.

Version-Release number of selected component (if applicable):
xfdesktop-4.8.1-3.fc15

Additional info:
$ grep development.directory /etc/xdg/menus/xfce-applications.menu 
        <Directory>xfce-development.directory</Directory>

This is a problem with my patch, I removed /usr/share/desktop-directories/xfce-development.directory in favor of Development.directory.

$ grep Settings.directory /etc/xdg/menus/xfce-applications.menu 
        <Directory>Settings.directory</Directory>

Settings.directory was removed because of GNOME 3. We might want to switch to xfce-settings.directory.
Comment 1 Adam Williamson 2011-04-15 14:03:22 EDT
Discussed at the 2011-04-15 blocker review meeting. Accepted as NTH, as this is a release criterion-infringing bug in a non-blocking desktop (Xfce):

"# All Applications listed in the desktop menus must have icons which have a consistent appearance and sufficiently high resolution to avoid appearing blurry"



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Fedora Update System 2011-05-06 09:56:10 EDT
garcon-0.1.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/garcon-0.1.7-1.fc15
Comment 3 Fedora Update System 2011-05-07 11:06:13 EDT
Package garcon-0.1.7-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing garcon-0.1.7-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/garcon-0.1.7-1.fc15
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-05-09 00:08:25 EDT
garcon-0.1.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Massimiliano 2011-09-20 07:48:06 EDT
In my F15 the Xfce menu "Preferences" is not translated (italian). Should I open a new bug?

$ rpm -q garcon
garcon-0.1.8-1.fc15.i686
Comment 6 Kevin Fenzi 2011-09-20 11:12:04 EDT
0.1.9 is out with some new translations, we can look at updating that... I'm not sure if Preferences are one of the updated ones however, so you might want to file a bug. Upstream with Xfce might be best.
Comment 7 Christoph Wickert 2011-09-20 17:53:08 EDT
(In reply to comment #5)
> In my F15 the Xfce menu "Preferences" is not translated (italian). Should I
> open a new bug?

It should be translated. For the preferences /etc/xdg/menus/xfce-applications.menu defines xfce-settings.directory.

$ grep it /usr/share/desktop-directories/xfce-settings.directory
Name[it]=Impostazioni
$ rpm -q garcon
garcon-0.1.8-1.fc15.x86_64

What menu are you talking about? The one form the panel or the one you get when you right-click on the desktop? Are you sure you don't have an old/custoized version of xfce-applications.menu, say in ~/.config/menus?
Comment 8 Massimiliano 2011-09-21 13:55:33 EDT
> It should be translated.
The item is translated, but translation has no effect.

> What menu are you talking about? The one form the panel or the one you get when
> you right-click on the desktop?
Both. The one from panel is not translated. The one from right-click on deskop is not translated and has no icon.

>Are you sure you don't have an old/custoized
> version of xfce-applications.menu, say in ~/.config/menus?
$ ls .config/
autostart  geany  gthumb  gtk-2.0  Terminal  Thunar  user-dirs.dirs  user-dirs.locale  xfce4

I notice that [nl] translation has an extra new-line:
Comment[nl]=Toepassingen voor bureaubladgebruik
en voor systeeminstellingen

By removing the new-line I solved the problem: now label and icon are correct.
Please commit this bug-fix.
Thanks
Comment 9 Fedora Update System 2011-10-23 09:02:41 EDT
garcon-0.1.9-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/garcon-0.1.9-1.fc15
Comment 10 Fedora Update System 2011-10-24 19:03:03 EDT
Package garcon-0.1.9-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing garcon-0.1.9-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14845
then log in and leave karma (feedback).
Comment 11 Massimiliano 2011-10-26 15:42:45 EDT
Just updated: solve my problem with italian translation (and icon)
Comment 12 Fedora Update System 2011-11-07 03:58:47 EST
garcon-0.1.9-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.